Loading...
Searching...
No Matches
graph_simplicial_complex.h File Reference

Graph simplicial complex methods. More...

Go to the source code of this file.

## Namespaces

namespace | Gudhi
| Gudhi namespace.

## Typedefs

template<typename SimplicialComplexForProximityGraph>
using | Gudhi::Proximity_graph
| Proximity_graph contains the vertices and edges with their filtration values in order to store the result of Gudhi::compute_proximity_graph function.

## Functions

template<typename SimplicialComplexForProximityGraph, typename ForwardPointRange, typename Distance>
Proximity_graph< SimplicialComplexForProximityGraph > | Gudhi::compute_proximity_graph (const ForwardPointRange &points, typename SimplicialComplexForProximityGraph::Filtration_value threshold, Distance distance)
| Computes the proximity graph of the points.

## Detailed Description

Graph simplicial complex methods.